## com.fasterxml.jackson.databind.ext
Class JodaDeserializers

    java.lang.Object
      com.fasterxml.jackson.databind.ext.JodaDeserializers

All Implemented Interfaces:
  Provider<StdDeserializer<?>>

    public class JodaDeserializers

extends Object
implements Provider<StdDeserializer<?>>

Provider for deserializers that handle some basic data types for Joda date/time library.

Nested Class Summary
`static class` `JodaDeserializers.DateMidnightDeserializer`
`static class` `JodaDeserializers.DateTimeDeserializer<T extends org.joda.time.ReadableInstant>` Basic deserializer for `DateTime`.
`static class` `JodaDeserializers.LocalDateDeserializer`
`static class` `JodaDeserializers.LocalDateTimeDeserializer`
`static class` `JodaDeserializers.PeriodDeserializer`

Constructor Summary
`JodaDeserializers()`

Method Summary
`Collection<StdDeserializer<?>>` `provide()` Method used to request provider to provide entries it has

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JodaDeserializers

    public JodaDeserializers()

Method Detail

### provide

    public Collection<StdDeserializer<?>> provide()

  Description copied from interface: `Provider`
  Method used to request provider to provide entries it has

  Specified by:
    `provide` in interface `Provider<StdDeserializer<?>>`

Copyright © 2012 fasterxml.com. All Rights Reserved.